#ifndef PARAMETER_H
#define PARAMETER_H
#include <QLabel>
#include <QHBoxLayout>
#include <QWidget>
#include <QSpinBox>

class parameter : public QWidget {
	Q_OBJECT
	QHBoxLayout Layout;
	QLabel Label;
	QSpinBox Box;
	public:
		parameter(QString text = "", int value = 0, double minValue = 0, double maxValue = 1, QWidget *parent = 0) : QWidget(parent),
			Label(text,this),
			Box(this)
		{
			Layout.addWidget(&Label);
			Layout.addWidget(&Box);
			this->setLayout(&Layout);
			Box.setMaximum(maxValue);
			Box.setMinimum(minValue);
			Box.setValue(value);
			connect(&Box,SIGNAL(valueChanged(int)),this,SLOT(boxvaluechanged()));
		}
		int value(){
			return Box.value();
		}
		void setValue(int val){
			Box.setValue(val);
		}
		void setReadOnly(bool val){
			Box.setReadOnly(val); 
		}
	public slots:
		void boxvaluechanged(){
			emit valueChanged(Box.value());
		}
	signals:
		void valueChanged(int);

};

#endif